Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 420613 - net-irc/anope version bump
Summary: net-irc/anope version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
: 481512 504766 550774 640706 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-06-11 01:56 UTC by Raymond Jennings
Modified: 2019-02-06 21:02 UTC (History)
8 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
anope-2.0.6.ebuild (anope-2.0.6.ebuild,3.74 KB, text/plain)
2018-03-25 12:22 UTC, Palme
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Raymond Jennings 2012-06-11 01:56:20 UTC
I think we should add the development branch of anope to the ebuild list.

Version 1.9.6 has some uber cool stuff and I've been testing it to great effect and it seems to be working fine.

Reproducible: Always




Probably should be kept keyworded as ~arch since upstream doesn't even consider it stable outside of anope experts but I've used it so far and it's really cool.
Comment 1 Jeff (JD) Horelick (RETIRED) gentoo-dev 2012-06-11 02:02:00 UTC
I'd recommend trying Atheme.
Comment 2 Raymond Jennings 2012-06-11 02:13:07 UTC
What's atheme?
Comment 3 Jeff (JD) Horelick (RETIRED) gentoo-dev 2012-06-11 02:22:43 UTC
(In reply to comment #2)
> What's atheme?

net-irc/atheme-services, http://atheme.net

It's an alternate services package that has better ircd support and more/better features than Anope 1.9

Part of that reason is Anope 1.9 implemented many features from Atheme.
Comment 4 Raymond Jennings 2012-06-11 02:36:11 UTC
Indeed, but I'm currently using anope and have a preexisting database.

Does atheme's ircd support unrealircd's features like extended ban types and admin/owner channel bits +a/+q?
Comment 5 Jeff (JD) Horelick (RETIRED) gentoo-dev 2012-06-11 02:51:37 UTC
(In reply to comment #4)
> Indeed, but I'm currently using anope and have a preexisting database.
> 
> Does atheme's ircd support unrealircd's features like extended ban types and
> admin/owner channel bits +a/+q?

It does support that and it also supports some of Unreal's new stuff like SASL and away-notify and account-notify (optionally, of course).

It also supports converting an Anope database to the Atheme database format, though the Anope 1.9 -> Atheme converter can be a tiny bit buggy.
Comment 6 Raymond Jennings 2012-06-15 05:08:24 UTC
I still think tracking the dev version of anope would introduce a bleeding edge version, especially considering how slow anope's stable branch updates.
Comment 7 Nathan Phillip Brink (binki) (RETIRED) gentoo-dev 2012-07-01 20:14:09 UTC
(In reply to comment #1)
> I'd recommend trying Atheme.

One reason jdhore is suggesting this is that he's on atheme's development team :-p.

I think this bug should go to gurligebis.
Comment 8 Adam 2014-04-28 19:02:34 UTC
Any progress on this? Anope 2 has since been moved to stable and is no longer in development.

Is there any way we can get the Gentoo developers to stop advertising their alternative software here? It's very off topic and unprofessional.

Thanks
Comment 9 Raymond Jennings 2015-05-29 20:48:27 UTC
It's now 2015

Version 1.8.7 is EOL and it's the only version in the tree.

*poke**poke**poke*

Guys?
Comment 10 Raymond Jennings 2015-05-30 00:42:03 UTC
*** Bug 504766 has been marked as a duplicate of this bug. ***
Comment 11 Raymond Jennings 2015-05-30 00:50:35 UTC
*** Bug 550774 has been marked as a duplicate of this bug. ***
Comment 12 ephemer0l 2015-08-09 18:02:40 UTC
2.0.2 is current stable from upstream, as of now.

https://github.com/anope/anope/tags
Comment 13 Pacho Ramos gentoo-dev 2016-05-06 08:49:34 UTC
*** Bug 481512 has been marked as a duplicate of this bug. ***
Comment 14 Pacho Ramos gentoo-dev 2018-03-13 12:18:24 UTC
*** Bug 640706 has been marked as a duplicate of this bug. ***
Comment 15 Palme 2018-03-25 12:22:36 UTC
Created attachment 525394 [details]
anope-2.0.6.ebuild
Comment 16 Larry the Git Cow gentoo-dev 2019-02-06 21:02:51 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1eb2b264d55d3f76f745ff36ef065c08458933fd

commit 1eb2b264d55d3f76f745ff36ef065c08458933fd
Author:     Brian Evans <grknight@gentoo.org>
AuthorDate: 2019-02-06 20:51:08 +0000
Commit:     Brian Evans <grknight@gentoo.org>
CommitDate: 2019-02-06 20:51:08 +0000

    net-irc/anope: Version bump
    
    Non-maintainer commit
    
    Based heavily off of Palme's ebuild in the bug
    
    Closes: https://bugs.gentoo.org/420613
    Package-Manager: Portage-2.3.59, Repoman-2.3.12
    Signed-off-by: Brian Evans <grknight@gentoo.org>

 net-irc/anope/Manifest              |   1 +
 net-irc/anope/anope-2.0.6.ebuild    | 157 ++++++++++++++++++++++++++++++++++++
 net-irc/anope/files/anope-conf.d-v2 |   9 +++
 net-irc/anope/metadata.xml          |  15 ++++
 4 files changed, 182 insertions(+)